---
# tasks file for dhcp-service

- name: Install DHCP server
  apt: pkg={{item}} state=present
  with_items:
    - isc-dhcp-server
  tags:
    - dhcp_service

- name: Setting up DHCP service
  template:
    src: dhcpd.conf.j2
    dest: /etc/dhcp/dhcpd.conf
    owner: root
    group: root
    mode: 0644
#    validate: 'dhcpd -t %s'
  notify:
    - restart dhcp
  tags:
    - dhcp_service

- name: Start DHCP service
  service: name=isc-dhcp-server state=started enabled=yes
  tags:
    - dhcp_service
